Subject: [Speermint] Universal Connectivity Assumption

From: "Stastny Richard" <[email-masked]>
Date: Wed, 29 Mar 2006 23:03:47 +0200

>Contrast that to (using the universal connectivity assumption):
>
>* As anybody must be able to place a call over the public Internet,
>  there need not be a contractual relationship between originating
>  and terminating network. The terminating side doesn't even know
>  who the originating side is. We're in e-mail land here.

>If you want universal SIP connectivity AND contractual relationships
>between peering/interconnection partners, then you need transit
>networks. That way lies either PSTN version 2 (The IP version), or
>you replicate the BGP model at the SIP layer.

I see your point
 
but finally there needs to be global connectivity and reachability
 
How can this be achieved?
 
We both agree that bilateral agreements do not scale, and it is
also not aceptable by the end-users that reachability is a patchwork
 
the default via the PSTN is also not an option, at least for speermint
-it works only with e.164 numbers
-it works only for a very limited set of applications (vioce)
-it works only as long as the PSTN is there
 
The next step is "transit networks on L5" aka federations
This is better then bilateral agreements, but also a patchwork

so we need something above the federations to allow
them to interwork i.e. eventually even a hierarchy or a circle
of trust. This is theoretically possible, but did not work in PKI
 
BTW, what was before the e-mail system (with all its weakness)
Compuserve, aol and company mail, I can also dimly remember
that there was for a short time e-mail gateways between them
 
And finally your proposal contains also the . policy ;-)
 
cheers
 
Richard

________________________________

Von: Otmar Lendl [mailto:[email-masked]]
Gesendet: Mi 29.03.2006 22:14
An: Stastny Richard
Cc: [email-masked]
Betreff: Re: [Speermint] Comments on reqs-and-terminology-01 andpolicy-dds-00(Peerign concepts and others..)

On 2006/03/29 19:03, Stastny Richard <[email-masked]> wrote:
> Now are finally at the point

Indeed.

> I have only one problem here:
> 
> >The drafts I wrote are targetted at that setting. They assume
> >that we start with zero IP-based interconnection. Calls between
> >different service providers may be possible over the PSTN,
> >but universal connectivity based on SIP AoRs is *not* assumed
> 
> If you start with zero IP-based Interconnection, how
> do you get to the DNS to query the policy records in the
> DNS in the first place?

I probably should have written "IP-based Interconnection for voice calls".
The problem isn't that any of those service providers isn't connected
to the Internet, the problem is that they refuse to use their
Internet connection (or even a private IP link) for VoIP interconnection
with other server providers.

In the case of Vonage, they do use the public Internet as their
access network. So basic IP connectivity isn't the issue. It's getting
their SIP border elements to talk to each other. And in that respect
I guess it's more a business decision than a technical one.

> >On the other hand, if we're assuming that the SIP AoRs are PUBLIC, ...
> 
> BTW, even in 3GPP and TISPAN the AoR are called PUBLIC
> User Identities, although they also have some problemy to
> comprehend what this implies.
> 
> >Are we dealing with public user identities in the meaning
> >of "reachable by anybody via the public Internet" or not?
>
> I thought speermint is an IETF WG

So the IETF protocol police will hunt down those closed network
operators and force them to open up their border elements?

Or are we going to give those operators tools with which they
can selectively open up their networks?

IMHO we need to break through this all-or-nothing dilemma.

Unless you get regulators to force all VoIP service providers
to accept all SIP calls from anybody, none of the big ones
will choose to open up their network.

> >On the other hand, if we're assuming that the SIP AoRs are PUBLIC,
> >then I wonder what real world problem Speermint is supposed to solve.
> >Basic interconnection is very well specified by the relevant SIP RFCs.
> 
> good point ;-)
> 
> >There is hardly any work to do.
> 
> As I pointed out earlier BCP setting minimum requiremnets
> and givin guidance along the sibley draft from the SIPforum
> could be very useful.

That SIPforum draft has a very different fundamental assumption:

* IP-PBX and SIP service provider enter a contractual relationship.
 
  One part of that relationship is an agreement on the technical details
  of their interconnection (i.e. the sibley document).
  If things don't work out there are the usual dispute resolution
  mechanisms (i.e. courts) which can deal with these problems.

Contrast that to (using the universal connectivity assumption):

* As anybody must be able to place a call over the public Internet,
  there need not be a contractual relationship between originating
  and terminating network. The terminating side doesn't even know
  who the originating side is. We're in e-mail land here.

If you want universal SIP connectivity AND contractual relationships
between peering/interconnection partners, then you need transit
networks. That way lies either PSTN version 2 (The IP version), or
you replicate the BGP model at the SIP layer.

> I also still see your policy draft useful for additional
> agreement above basic interconnect

Thanks.

/ol
--
< Otmar Lendl ([email-masked]) | nic.at Systems Engineer >

_______________________________________________
Speermint mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speermint

---

From: "Patrick Melampy" <[email-masked]>
Date: Wed, 29 Mar 2006 21:06:15 -0500

Even with universal connectivity -- there remains a problem. Are VoIP
interconnect reciprocal values congruent with best efforts reciprocal
values.

Lets look at Layer 3 IP Networks for a quick analogy...

With IP networks, network owners can decide how their network will be used
by controlling what BGP4 Updates they will send out, and which they will
accept. Thus, network owners can control how their network gets used.

Last time I checked, IP Network owners do not like to see their network used
(even for best efforts) when they don't get reciprocal value. Thus, many
network owners manage their bi-lateral peering arrangements to exclude their
network being used by accidental 3rd parties. 

The NAP providers of course are the route of last resort for many network
owners when they must send packets to locations where there is no reciprocal
exchange.

Overlaying a VoIP interconnection based on SIP URI's (resolved using ENUM)
will follow these 'default' paths established for best efforts. But this
assumes that the value exchanges at the borders for best efforts and VoIP
are identical. This is of course not true. IP Interconnects and VoIP
interconnects will have dissimilar values for all parties.

I think it is quite likely that many best effort relationships between large
and small carriers with inadequate reciprocal value for free IP peering,
will have very good reciprocal value for VoIP peering.

Also consider the case of a strong VoIP carrier wanting to connect for voice
with other large VoIP networks, but not really wanting to change or modify
the way their best efforts packet agreements that are working today. 

If these two types of services do not have identical reciprocal values at
each border, then it is unlikely that the utilization of 'natural routing'
techniques will work.

I think the biggest concern is that a VoIP network will get used for best
efforts by accident, and that a best efforts IP peering arrangement will get

used for VoIP exchanges accidentally.

Techniques for filtering or dropping unwanted packets at borders will not
work as a technique, because the best efforts services will fail. 

There exists a "route by service" problem.

-----Original Message-----
From: Stastny Richard [mailto:[email-masked]] 
Sent: Wednesday, March 29, 2006 4:04 PM
To: Otmar Lendl
Cc: [email-masked]
Subject: [Speermint] Universal Connectivity Assumption

I see your point

 

 

cheers
 
Richard

Von: Otmar Lendl [mailto:[email-masked]]
Gesendet: Mi 29.03.2006 22:14
An: Stastny Richard
Cc: [email-masked]
Betreff: Re: [Speermint] Comments on reqs-and-terminology-01
andpolicy-dds-00(Peerign concepts and others..)

Indeed.

 

Thanks.

/ol